## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Created by pyp2rpm-3.3.5

Name:           pmbootstrap
Version:        1.42.0
Release:        %autorelease
Summary:        A sophisticated chroot/build/flash tool to develop and install postmarketOS

License:        GPLv3
URL:            https://www.postmarketos.org
# cannot use %%{pypi_source} due to
# https://gitlab.com/postmarketOS/pmbootstrap/-/issues/2009
Source0:        https://gitlab.com/postmarketOS/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(argcomplete)
# FIXME: once we can run the tests, add this back
# BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

%description
Sophisticated chroot/build/flash tool to develop and install postmarketOS.

%prep
%autosetup -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{name}.egg-info

%build
%py3_build

%install
%py3_install

%check
# cannot run the tests at the moment:
# https://gitlab.com/postmarketOS/pmbootstrap/-/issues/2010
# python3 setup.py test

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{python3_sitelib}/pmb
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Feb 23 2022 Dan Čermák <dan.cermak@cgc-instruments.com> 1.42.0-1
- New upstream release 1.42.0, fixes rhbz#2056261

* Sat Jan 22 2022 Dan Čermák <dan.cermak@cgc-instruments.com> 1.41.0-1
- New upstream release 1.41.0, fixes rhbz#2042159

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.40.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 12 2021 Dan Čermák <dan.cermak@cgc-instruments.com> 1.40.0-1
- New upstream release 1.40.0, fixes rhbz#2028648

* Thu Dec 02 2021 Dan Čermák <dan.cermak@cgc-instruments.com> 1.39.0-1
- New upstream release 1.39.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.32.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.32.0-2
- Rebuilt for Python 3.10

* Fri May  7 2021 Dan Čermák <dan.cermak@cgc-instruments.com> - 1.32.0-1
- Update to 1.32.0
- Fixes rhbz#1924900

* Tue Feb 02 2021 Dan Čermák <dan.cermak@cgc-instruments.de> - 1.0.1-1
- Initial package.

